{
    "layer": "top",
    "position": "top",
    "mod": "dock",
    "exclusive": true,
    "passthrough": false,
    "gtk-layer-shell": true,
    "height": 28,
    "modules-left": [
        "clock",
        "custom/weather",
        "hyprland/workspaces",
	"custom/apps",
	"custom/files"
    ],
    "modules-center": [
        "hyprland/window"
    ],
    "modules-right": [
	"tray",
        "custom/network",
        "temperature",
        "cpu",
	"memory",
        "battery",
        "custom/studio-sound",
	"bluetooth",
	"wireplumber",
	"custom/hyprsunset",
	"custom/notificationbar",
	"privacy"
    ],
    "privacy": {
	"icon-spacing": 4,
	"icon-size": 13,
	"transition-duration": 250,
	"modules": [
		{
			"type": "screenshare",
			"tooltip": true,
			"tooltip-icon-size": 24
		},
		{
			"type": "audio-in",
			"tooltip": true,
			"tooltip-icon-size": 24
		}
	],
	"ignore-monitor": true
},
    "hyprland/workspaces": {
        "format": "{icon}",
        "on-scroll-up": "hyprctl dispatch workspace e+1",
        "on-scroll-down": "hyprctl dispatch workspace e-1",
        "format-icons": {
            "1": "1",
            "2": "2",
            "3": "3",
            "4": "4",
            "5": "5"
        },
        "persistent_workspaces": {
            "*": 1
        }
    },
    "hyprland/window": {
        "format": "{}",
	"separate-outputs": true
    },
    "custom/apps": {
        "format": "Apps",
        "tooltip": false,
        "on-click": "wofi --show drun"
    },

    "custom/files": {
        "format": "Files",
        "tooltip": false,
        "on-click": "nautilus"
    },
    "custom/weather": {
        "tooltip": true,
        "format": "{}",
        "interval": 3600,
        "exec": "~/.config/waybar/scripts/waybar-wttr.py",
        "return-type": "json"
    },
    
    "temperature": {
        "thermal-zone": 2,
        "hwmon-path": "/sys/class/hwmon/hwmon5/temp1_input",
        "critical-threshold": 80,
        "format-critical": " {temperatureC}°C",
        "format": " {temperatureC}°C",
        "interval": 2,
        "tooltip": true
    },
    
    "cpu": {
        "format": " {usage}%",
        "tooltip": true,
        "interval": 2,
        "states": {
            "warning": 70,
            "critical": 90
        }
    },
     "memory": {
        "format": " {}%",
        "format-alt": " {used:0.1f}G/{total:0.1f}G",
        "tooltip": true,
        "tooltip-format": "Used: {used:0.2f}GB ({percentage}%)\nAvailable: {avail:0.2f}GB\nTotal: {total:0.2f}GB",
        "interval": 2,
        "states": {
            "warning": 70,
            "critical": 90
        }
    },
    "tray": {
        "icon-size": 16,
        "spacing": 25,
	"icons": {
		"blueman": "/usr/share/icons/WhiteSur-dark/devices@2x/32/network-bluetooth.svg",
		"nm-applet": "/usr/share/icons/WhiteSur-dark/devices@2x/24/network-wired.svg",
		"pasystray": "/usr/share/icons/WhiteSur-dark/devices@2x/16/audio-speakers.svg"
	}
    },
    "custom/notificationbar": {
        "format": "",
        "on-click": "swaync-client -t"
    },
    "clock": {
	"timezone": "Europe/Berlin",
        "format": "{:%H:%M  %a, %b %e}",
        "tooltip-format": "<big>{:%Y %B}</big>\n<tt>{calendar}</tt>"
    },
    "backlight": {
        "device": "intel_backlight",
        "format": "{icon} {percent}%",
        "format-icons": [
            "󰃞",
            "󰃟",
            "󰃠"
        ],
        "on-scroll-up": "brightnessctl -q set 1%+",
        "on-scroll-down": "brightnessctl -q set 1%-"
    },
    "battery": {
        "states": {
            "good": 95,
            "warning": 20,
            "critical": 10
        },
        "format": "{icon} {capacity}%",
        "format-charging": " {capacity}%",
        "format-plugged": " {capacity}%",
        "format-alt": "{time} {icon}",
        "format-icons": [
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            ""
        ]
    }, 
    "wireplumber": {
    "format": " {volume}%",
    "format-muted": "",
    "on-click": "qpwgraph",
    "max-volume": 100,
    "scroll-step": 0.2
},

    "custom/network": {
    "exec": "~/.config/waybar/scripts/network.sh",
    "return-type": "json",
    "interval": 2,
    "format": "{}"
    //"on-click": "nmcli device wifi list",
    //"on-click-right": "nm-connection-editor"
},

"custom/hyprsunset": {
    "format": "{}",
    "exec": "~/.config/waybar/scripts/hyprsunset.sh",
    "on-click": "~/.config/waybar/scripts/hyprsunset.sh toggle",
    "signal": 8,
    "tooltip": true,
    "return-type": "json"
  },

"custom/studio-sound": {
        "format": "{}",
        "exec": "~/.config/waybar/scripts/studio-sound.py",
        "on-click": "~/.config/waybar/scripts/studio-sound.py toggle",
        "interval": 30,
	"return-type": "json",
        "tooltip": true
    },

    "bluetooth": {
        "format": " {status}",
        "format-disabled": "",
        "format-connected": " {num_connections}",
        "tooltip-format": "{device_alias}",
        "tooltip-format-connected": " {device_enumerate}",
        "tooltip-format-enumerate-connected": "{device_alias}"
    }


}
